{ config, pkgs, ... }:
let
  host = "restic.atlanticaweb.fr";
in
{
  virtualisation = {
    podman = {
      enable = true;
      dockerCompat = true;
    };
    oci-containers = {
      backend = "podman";
      containers.restic-exporter = {
        image = "ngosang/restic-exporter";
        autoStart = true;
        ports = [ "8001:8001" ]; #server locahost : docker localhost
	volumes = [ "/opt/restic:/data" ];
	environment = [
	"TZ=Europe/Paris"
	"RESTIC_REPO_URL=sftp:u329746@u329746.your-storagebox.de:/home/Nextcloud"
	"RESTIC_REPO_PASSWORD=herzleid"
	];
      };
    };
  };
}
