
{ config, pkgs, ... }:{

  programs.i3status-rust = {
    enable = true;
    bars = {
      bottom = {
        blocks = [
          {
             block = "disk_space";
             path = "/";
	     format =  "$icon $percentage";
             format_alt = " $icon $available / $total ";
	     info_type = "used";
             interval = 60;
             warning = 20.0;
             alert = 10.0;
           }
           {
             block = "memory";
	     format = " $icon $mem_avail.eng(prefix:M)/$mem_total.eng(prefix:M)($mem_total_used_percents.eng(w:2)) ";
           }
           {
             block = "cpu";
             interval = 1;
           }
           {
             block = "load";
             interval = 1;
             format = "{1m}";
           }
           { block = "sound"; }
          {
            block = "kdeconnect";
            format = " $icon {$bat_icon $bat_charge |}{$notif_icon |}{$network_icon$network_strength $network_type |}";
            bat_good = 101;
          }
           {
             block = "time";
             interval = 60;
             format = " $icon $timestamp.datetime(f:'%d/%m %R', l:fr_FR) ";
           }
        ];
      icons = "material-nf";
      theme = "nord-dark";
      };
    };
  };
}
