{ config, pkgs, ... }:

{
  services = {
    avahi = {
      enable = true;
      openFirewall = true;
    };
    printing.enable = true;
    clamav = {
      daemon.enable = true;
      updater.enable = true;
    };
    locate = {
      enable = true;
      locate = pkgs.plocate;
      interval = "hourly";
      localuser = null;
    };
    redshift = {
      enable = true;
      brightness = {
        # Note the string values below.
        day = "1";
        night = "1";
      };
      temperature = {
        day = 5500;
        night = 3700;
      };
    };
    geoclue2.appConfig.redshift.isAllowed = true;
    automatic-timezoned.enable = true;
    xserver = {
      enable = true;
      autorun = true;
      windowManager.i3.enable = true;
      displayManager.defaultSession = "none+i3";
      layout = "fr";
      xkbOptions = "eurosign:e";
    };
    openssh = {
      enable = true;
      settings.PermitRootLogin = "no";
    };
    ntp.enable = true;
    tlp.enable = true;
    fstrim.enable = true;
  };
}
