{ pkgs, config, ... }: {
  imports = [
    ./packages.nix
    ./gnupg.nix
    ./variables.nix
    ./starship.nix
    ./i3status.nix
    ./emacs.nix
    ./mails.nix
    ./dunst.nix
    ./bat.nix
#    ./redshift.nix
    ../../../modules/neovim.nix
    ../../../modules/rust.nix
    ../../../modules/tmux.nix
    ../../../modules/git.nix
  ];
  home.keyboard = {
    layout = "fr";
    variant = "bepo";
  };
  xdg.configFile = {
    "i3/config".source = ./configs/i3config;
  };
#  xdg.configFile = {
#    "Nextcloud/nextcloud.cfg".source = ./configs/nextcloud.cfg;
#  };
  xsession.numlock.enable = true;
  home.file = {
    "./.config/zellij/config.yaml" = {
      source = ./configs/zellij;
    };
  };
home.sessionPath = [
"$HOME/.local/bin"
];
}

