# atlanticaweb.fr 37.187.103.8/24
{ pkgs, ... }: {
  imports = [
    ./hardware-configuration.nix
    ./webserver.nix
    ./firewall-web.nix
    modules/gitea.nix
    modules/prometheus-node.nix
    modules/common.nix
    modules/users.nix
#    ../docker/appsmith.nix
    docker/kuma.nix
    modules/syncthing.nix
  ];

  system.stateVersion = "23.11";

  boot.tmp.cleanOnBoot = true;
  zramSwap.enable = false;
  networking.hostName = "web";
  services.openssh = {
    enable = true;
    settings = {
      PermitRootLogin = "no";
      PasswordAuthentication = false;
      KbdInteractiveAuthentication = false;
    };  
  };
  system.autoUpgrade.enable = true;
  system.autoUpgrade.allowReboot = true;
  
}
