{ config, pkgs, lib, ... }:

    {

      services.gitea = {
        enable = true;                               # Enable Gitea
        appName = "git.atlanticaweb.fr";         # Give the site a name
        database = {
          type = "sqlite3";                         # Database type
        };
	settings.server = {
          ROOT_URL = "https://git.atlanticaweb.fr/";   # Root web URL
          HTTP_PORT = 3001;                             # Provided unique port
          DOMAIN = "git.atlanticaweb.fr";            # Domain name
	};
	dump.enable = true;
	dump.backupDir = "/srv/backup/gitea";
	lfs.enable = true;
	settings.service.DISABLE_REGISTRATION = true; # comment this line for the first user admin
      };

   }
